group "CommoditySwapDetails.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 5 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
effectiveDate, terminationDate, settlementCurrency?, (commoditySwapLeg[2..2] | weatherLeg[2..2])

Content Model Elements (5):

  commoditySwapLeg,
  effectiveDate (defined in CommoditySwapDetails.model group),
  settlementCurrency (defined in CommoditySwapDetails.model group),
  terminationDate (defined in CommoditySwapDetails.model group),
  weatherLeg

Known Usage Locations

- In definitions of global complexTypes (2):
  CommoditySwap, CommoditySwaptionUnderlying

XML Source (w/o annotations (4); see within schema source)

<xsd:group name="CommoditySwapDetails.model"> <xsd:sequence> <xsd:element name="effectiveDate" type="AdjustableOrRelativeDate"/> <xsd:element name="terminationDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"/> <xsd:choice> <xsd:element maxOccurs="2" minOccurs="2" ref="commoditySwapLeg"/> <xsd:element maxOccurs="2" minOccurs="2" name="weatherLeg" type="WeatherLeg"/> </xsd:choice> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 5/5)
commoditySwapLeg

  Type: | CommoditySwapLeg, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 7 elements

  XML Source (see within schema source)

  <xsd:element maxOccurs="2" minOccurs="2" ref="commoditySwapLeg"/>

effectiveDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the effective date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the effective date of the other leg of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="effectiveDate" type="AdjustableOrRelativeDate"/>

settlementCurrency

  Type: | IdentifiedCurrency, simple content

  The currency into which the Commodity Swap Transaction will settle. If this is not the same as the currency in which the Commodity Reference Price is quoted on a given floating leg of the Commodity Swap Transaction, then an FX rate should also be specified for that leg.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"/>

terminationDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the termination date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the termination date of the other leg of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="terminationDate" type="AdjustableOrRelativeDate"/>

weatherLeg

  Type: | WeatherLeg, complex content

  A weather leg element of a Commodity Swap defines Weather Index Swap transactions. Weather Index Swap transactions are OTC derivative transactions which settle financially based on an index calculated from observations of temperature, precipitation and other weather-related measurements at weather stations throughout the world. Sub-Annex C of the 2005 ISDA Commodity Definitions provides definitions and terms for a number of types of weather indices. These indices include: HDD (heating degree days), CDD (cooling degree days), CPD (critical precipitation days). Weather Index Swap transactions result in a cash flow to one of the two counterparties each Calculation Period depending on the relationship between the Settlement Level and the Weather Index Level. A Weather Index swap transaction always consists of a commodity swap element as a parent to two weatherLeg elements.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" minOccurs="2" name="weatherLeg" type="WeatherLeg"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.